#include "xanimdeltapart.h"

XAnimDeltaPart::XAnimDeltaPart()
    : XAsset() {
}

void XAnimDeltaPart::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mTransPtr, sizeof(quint32));
        mTrans.ParseData(aStream);

        aStream->read((char*)&mQuatPtr, sizeof(quint32));
        mQuat.ParseData(aStream);
    }
}

quint32 XAnimDeltaPart::GetTransPtr() const {
    return mTransPtr;
}

void XAnimDeltaPart::SetTransPtr(quint32 ptr) {
    mTransPtr = ptr;
}

const XAnimPartTrans& XAnimDeltaPart::GetTrans() const {
    return mTrans;
}

void XAnimDeltaPart::SetTrans(const XAnimPartTrans& trans) {
    mTrans = trans;
}

quint32 XAnimDeltaPart::GetQuatPtr() const {
    return mQuatPtr;
}

void XAnimDeltaPart::SetQuatPtr(quint32 ptr) {
    mQuatPtr = ptr;
}

const XAnimDeltaPartQuat& XAnimDeltaPart::GetQuat() const {
    return mQuat;
}

void XAnimDeltaPart::SetQuat(const XAnimDeltaPartQuat& quat) {
    mQuat = quat;
}





